# Admin Directory API . asps

## Instance Methods

Delete an ASP issued by a user.

Get information about an ASP issued by a user.

List the ASPs issued by a user.

### Method Details

`delete(userKey, codeId)`

    Delete an ASP issued by a user.

    Args:
      userKey: string, Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. (required)
      codeId: integer, The unique ID of the ASP to be deleted. (required)

`get(userKey, codeId)`

    Get information about an ASP issued by a user.

    Args:
      userKey: string, Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. (required)
      codeId: integer, The unique ID of the ASP. (required)

    Returns:
      An object of the form:

        { # The template that returns individual ASP (Access Code) data.
        "kind": "admin#directory#asp", # The type of the API resource. This is always admin#directory#asp.
        "name": "A String", # The name of the application that the user, represented by their userId, entered when the ASP was created.
        "lastTimeUsed": "A String", # The time when the ASP was last used. Expressed in Unix time format.
        "creationTime": "A String", # The time when the ASP was created. Expressed in Unix time format.
        "etag": "A String", # ETag of the ASP.
        "codeId": 42, # The unique ID of the ASP.
        "userKey": "A String", # The unique ID of the user who issued the ASP.
      }

`list(userKey)`

    List the ASPs issued by a user.

    Args:
      userKey: string, Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. (required)

    Returns:
      An object of the form:

        {
        "items": [ # A list of ASP resources.
          { # The template that returns individual ASP (Access Code) data.
            "kind": "admin#directory#asp", # The type of the API resource. This is always admin#directory#asp.
            "name": "A String", # The name of the application that the user, represented by their userId, entered when the ASP was created.
            "lastTimeUsed": "A String", # The time when the ASP was last used. Expressed in Unix time format.
            "creationTime": "A String", # The time when the ASP was created. Expressed in Unix time format.
            "etag": "A String", # ETag of the ASP.
            "codeId": 42, # The unique ID of the ASP.
            "userKey": "A String", # The unique ID of the user who issued the ASP.
          },
        ],
        "kind": "admin#directory#aspList", # The type of the API resource. This is always admin#directory#aspList.
        "etag": "A String", # ETag of the resource.
      }